'Globale Variablen:

Global ResCount             'Gibt an, wieviele Ressourcen
                            'bereits geladen wurden

'
' Ldt eine Bitmap in eine Ressource
'
Sub RES_LOAD (RES, Datei$)
    
    On Local Error Resume Next
    RESSOURCEN.RES(RES).Picture = LoadPicture(Datei$)

End Sub

'
' Legt eine neue Ressource an und liefert die Nummer
' zurck. Dabei wird die neue Ressource so eingestellt,
' da die Einheit Pixel ist und AutoRedraw und AutoSize
' auf True stehen
'
Function RES_NEW ()

    On Local Error Resume Next
    
    ResCount = ResCount + 1
    Load RESSOURCEN.RES(ResCount)
    
    RES_NEW = ResCount

End Function

'
' Alle Ressourcen lschen
'
Function RES_RESET ()

    On Local Error Resume Next

    For RES_COUNT = RES_COUNT To 0 Step -1
        Unload RESSOURCEN.RES(RES_COUNT)
    Next RES_COUNT
    
    RES_COUNT = 0

End Function

'
' Ressource leeren (Bitmap entfernen, Speichern freigeben)
'
Sub RES_CLEAR (Nr)

    On Local Error Resume Next
    
    RESSOURCEN.RES(ResCount).Picture = LoadPicture()
    
End Sub

'
' Handle einer Ressource zurckgeben.
' Damit ist natrlich das Handle des DeviceContext gemeint.
'
Function RES_HDC (Nr)

    On Local Error Resume Next
    RES_HDC = RESSOURCEN.RES(Nr).hDC

End Function

